Bug 981256 - SystemExit: 1
SystemExit: 1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:aa6939d4a3c4dd1e46f948a52ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 06:20 EDT by Ameya Sathe
Modified: 2014-06-09 09:42 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo-


Attachments (Terms of Use)
File: anaconda-tb (993.17 KB, text/plain)
2013-07-04 06:20 EDT, Ameya Sathe
no flags Details
File: anaconda.log (54.64 KB, text/plain)
2013-07-04 06:20 EDT, Ameya Sathe
no flags Details
File: environ (457 bytes, text/plain)
2013-07-04 06:20 EDT, Ameya Sathe
no flags Details
File: lsblk_output (1.01 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: nmcli_dev_list (3.36 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: program.log (18.62 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: storage.log (200.76 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: syslog (82.88 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details
File: packaging.log (482.68 KB, text/plain)
2013-07-04 06:21 EDT, Ameya Sathe
no flags Details

  None (edit)
Description Ameya Sathe 2013-07-04 06:20:33 EDT
Description of problem:
In 'Installation source', I had selected the option of 'Closest mirror'.  Then, I changed it to a definate http URL.  Anaconda installer prompted to change & review the package selection again.  I reviewed the package selection.  Once, I clicked on 'Done, installer said that, 'Books' as selected is not available inside your current Installation selection.  I selected 'No' for the question of 'Continue installation as is'.  It gave the following problem.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1329, in _handleMissing
    sys.exit(1)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1359, in _applyYumSelections
    self._handleMissing(e)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1410, in checkSoftwareSelection
    self._applyYumSelections()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 104, in checkSoftwareSelection
    self.payload.checkSoftwareSelection()
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
SystemExit: 1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 rd.live.check quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Potential duplicate: bug 865953
Comment 1 Ameya Sathe 2013-07-04 06:20:50 EDT
Created attachment 768709 [details]
File: anaconda-tb
Comment 2 Ameya Sathe 2013-07-04 06:20:55 EDT
Created attachment 768710 [details]
File: anaconda.log
Comment 3 Ameya Sathe 2013-07-04 06:20:59 EDT
Created attachment 768711 [details]
File: environ
Comment 4 Ameya Sathe 2013-07-04 06:21:03 EDT
Created attachment 768712 [details]
File: lsblk_output
Comment 5 Ameya Sathe 2013-07-04 06:21:09 EDT
Created attachment 768713 [details]
File: nmcli_dev_list
Comment 6 Ameya Sathe 2013-07-04 06:21:14 EDT
Created attachment 768714 [details]
File: os_info
Comment 7 Ameya Sathe 2013-07-04 06:21:19 EDT
Created attachment 768715 [details]
File: program.log
Comment 8 Ameya Sathe 2013-07-04 06:21:25 EDT
Created attachment 768716 [details]
File: storage.log
Comment 9 Ameya Sathe 2013-07-04 06:21:30 EDT
Created attachment 768717 [details]
File: syslog
Comment 10 Ameya Sathe 2013-07-04 06:21:34 EDT
Created attachment 768718 [details]
File: ifcfg.log
Comment 11 Ameya Sathe 2013-07-04 06:21:42 EDT
Created attachment 768719 [details]
File: packaging.log
Comment 12 David Shea 2013-08-01 16:35:44 EDT
You told anaconda not to continue, so it exited. This is the expected behavior.
Comment 13 Steve Tyler 2013-08-02 17:33:51 EDT
(In reply to Ameya Sathe from comment #0)
...
> Then, I changed it to a definate http URL.
...

Ameyo: From the attached logs it appears that you were use this URL:
http://download.eng.pnq.redhat.com/pub/fedora/linux/releases/19/Fedora/x86_64/os/

Could you confirm that?

What output do you get from this?

$ curl -I http://download.eng.pnq.redhat.com/pub/fedora/linux/releases/19/Fedora/x86_64/os/

When try that, I get:

$ curl -I http://download.eng.pnq.redhat.com/pub/fedora/linux/releases/19/Fedora/x86_64/os/
curl: (6) Could not resolve host: download.eng.pnq.redhat.com; Name or service not known
Comment 14 Steve Tyler 2013-08-02 17:36:51 EDT
(In reply to David Shea from comment #12)
> You told anaconda not to continue, so it exited. This is the expected
> behavior.

The user should not be asked to report a bug when exiting the installer.
This bug needs further analysis and should be reopened.

Note You need to log in before you can comment on or make changes to this bug.